GTPin

- Main Page
- Related Pages
- Modules
- Data Structures

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions
gtpin::IGtIret Class Reference
GTPin: High-Level Instrumentation (HLI) Parameters and Arguments

Abstract representation of the HLI function's return value. More...

`#include <igt_iarg.h>`

## Public Member Functions
virtual GtHliParamTraits | ParamTraits () const =0
| Return traits of the function's return value.
virtual bool | IsVoid () const =0
| Return true for a void / unused return value.
virtual GtReg | Reg () const =0
| Return register that holds the return value.
virtual GtCoreString | ToString () const =0
| Return string representation of this object.

## Detailed Description

Abstract representation of the HLI function's return value.

## Member Function Documentation

virtual GtReg gtpin::IGtIret::Reg | ( |  | ) | const`[pure virtual]`

Return register that holds the return value.

Precondition:
  !IsVoid()

All Data Structures Functions Variables Typedefs Enumerations Enumerator

      Copyright (C) 2013-2025 Intel Corporation

      SPDX-License-Identifier: MIT